-- privacy_preferences definition

CREATE TABLE IF NOT EXISTS privacy_preferences (
	id TEXT NOT NULL PRIMARY KEY,
	discovery INTEGER NOT NULL,
	discovery_user_limit TEXT NOT NULL,
	discovery_server_limit TEXT NOT NULL,
	last_seen INTEGER NOT NULL,
	last_seen_user_limit TEXT NOT NULL,
	last_seen_server_limit TEXT NOT NULL,
	last_seen_course BOOLEAN DEFAULT 0 NOT NULL CHECK (last_seen_course IN (0, 1)),
	info INTEGER NOT NULL,
	info_user_limit TEXT NOT NULL,
	info_server_limit TEXT NOT NULL,
	CONSTRAINT privacy_preferences_FK FOREIGN KEY (id) REFERENCES users(id) ON DELETE CASCADE ON UPDATE CASCADE
);
